Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "648046d8-5bd0-43a7-ab9c-4c070865b53c",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "180ea6ea-b3dd-4293-b270-29f4aae86d30",
"company_code": "sample string 5",
"company": {
"id": "f4241214-4989-4dac-967a-ab77e43015a7",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-29T18:23:23.7379791+00:00",
"sales_territory_id": "1f150cd1-d380-4f9a-a59c-09f0f56e5dcf",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2c47e39b-b4e8-43d7-98e9-929ebd4c5c73",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "d644f90b-9b37-48e1-8bed-865ae37c5583",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "8250d671-8d02-4401-a809-9e19904cd814",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "7c04965a-3b4b-4f15-b326-44ec80989998",
"db_currency_id": "b13b7568-babe-43af-a44a-a20b73d9cf47",
"db_language_id": "675d2156-1b03-432d-b8f2-1392896aedde",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T18:23:23.7379791+00:00"
},
"modified_dateutc": "2026-10-29T18:23:23.7379791+00:00"
},
"marketing_segment_id": "36c5112d-71e4-4eea-9466-a0675a38f41b",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "121af4f4-2681-4a5c-9707-9d0a63869eb9",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "43c6e22a-e84d-4fe9-9624-0a6fa105d0ba",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "95ffb4ed-c686-4d7b-80df-7c8d3486252f",
"db_country_code": "sample string 28",
"feelist_id": "b013178c-13dd-45ff-83ee-592bc15d52e4",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "15f14556-4e2f-437d-9456-0238660625a4",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "468c4d67-e8ab-4b26-9456-c2f6ccf6dbd3",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-29T18:23:23.7379791+00:00",
"db_currency_id": "128027b1-196f-40d0-a268-1c1b66d719f6",
"db_currency_code": "sample string 10"
},
"company_type_id": "74057c2e-c652-4a10-9f76-1ebffe9d54d4",
"company_type_name": "sample string 32",
"company_type": {
"id": "b3bc6bbd-e317-4b1e-9d6c-570ce86abc02",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "61f44834-c291-4ecd-833d-32710b4b123e",
"sales_organization_code": "sample string 5"
},
"db_language_id": "139aa29e-7bde-487f-91db-821b2a4c1a79",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "5fc8c614-443f-44d9-a675-f16d3226afab",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "ec160d87-f1c8-490c-a08b-5145a317bf08",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "166184a4-12a7-4aee-8d35-603c9a480349",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-29T18:23:23.7379791+00:00"
},
"company_sector_id": "67835861-ecf8-4ab4-a231-9fbeb3817d2d",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "f1f144a4-b82b-4f6f-8d8d-c3e726bcfe48",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "74cd7cdf-3101-4c51-a5ab-be3ebe5bd182",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "8253183b-18c1-4dce-856a-cbf2ee0c9830",
"account_manager_user_code": "sample string 56",
"company_status_id": "832cbcab-59b4-4e4d-b66b-f499ce0c8621",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-29T18:23:23.7379791+00:00",
"id2": 60
},
"db_language_id": "07bb7d82-3596-44a3-8566-d90aa15082d3",
"db_language_code": "sample string 7",
"db_title_id": "6ef704e1-6727-41e1-910f-7b1ae1cccf0d",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-29T18:23:23.7379791+00:00",
"create_date": "2026-10-29T18:23:23.7379791+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-29T18:23:23.7379791+00:00"
}